# Uses of Class
com.fasterxml.jackson.datatype.jsr310.util.DurationUnitConverter

Packages that use DurationUnitConverter
Package
Description
com.fasterxml.jackson.datatype.jsr310.deser
com.fasterxml.jackson.datatype.jsr310.ser
com.fasterxml.jackson.datatype.jsr310.util

## Uses of DurationUnitConverter in com.fasterxml.jackson.datatype.jsr310.deser

Fields in com.fasterxml.jackson.datatype.jsr310.deser declared as DurationUnitConverter
Modifier and Type
Field
Description
`protected final DurationUnitConverter`
DurationDeserializer.`_durationUnitConverter`
When defined (not `null`) integer values will be converted into duration unit configured for the converter.
Methods in com.fasterxml.jackson.datatype.jsr310.deser with parameters of type DurationUnitConverter
Modifier and Type
Method
Description
`protected DurationDeserializer`
DurationDeserializer.`withConverter(DurationUnitConverter converter)`
Constructors in com.fasterxml.jackson.datatype.jsr310.deser with parameters of type DurationUnitConverter
Modifier
Constructor
Description
`protected`
`DurationDeserializer(DurationDeserializer base, DurationUnitConverter converter)`

## Uses of DurationUnitConverter in com.fasterxml.jackson.datatype.jsr310.ser

Methods in com.fasterxml.jackson.datatype.jsr310.ser with parameters of type DurationUnitConverter
Modifier and Type
Method
Description
`protected DurationSerializer`
DurationSerializer.`withConverter(DurationUnitConverter converter)`
Constructors in com.fasterxml.jackson.datatype.jsr310.ser with parameters of type DurationUnitConverter
Modifier
Constructor
Description
`protected`
`DurationSerializer(DurationSerializer base, DurationUnitConverter converter)`

## Uses of DurationUnitConverter in com.fasterxml.jackson.datatype.jsr310.util

Methods in com.fasterxml.jackson.datatype.jsr310.util that return DurationUnitConverter
Modifier and Type
Method
Description
`static DurationUnitConverter`
DurationUnitConverter.`from(String unit)`